Package org.eclipse.lemminx.services.extensions

## Interface ITypeDefinitionParticipant

All Known Implementing Classes:
  `AbstractTypeDefinitionParticipant`, `ContentModelTypeDefinitionParticipant`

    public interface ITypeDefinitionParticipant

Type Definition participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `findTypeDefinition​(ITypeDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find type definition.

### Method Detail

#### findTypeDefinition

    void findTypeDefinition​(ITypeDefinitionRequest request,
                            List<org.eclipse.lsp4j.LocationLink> locations,
                            org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Find type definition.

Parameters:
  `request` -
  `locations` -
  `cancelChecker` -